gr::dab::mp2_decode_bs Class Referenceabstract

block that decodes DAB audio frames (= MPEG2 audio frames) to PCM frames More...

`#include <mp2_decode_bs.h>`

Inheritance diagram for gr::dab::mp2_decode_bs:
[legend]

## Public Types

typedef std::shared_ptr< mp2_decode_bs > | sptr

## Public Member Functions

virtual int32_t | get_sample_rate ()=0

## Static Public Member Functions

static sptr | make (int bit_rate_n)
| Return a shared_ptr to a new instance of dab::mp2_decode_bs.

## Detailed Description

block that decodes DAB audio frames (= MPEG2 audio frames) to PCM frames

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<mp2_decode_bs> gr::dab::mp2_decode_bs::sptr

## Member Function Documentation

## get_sample_rate()

virtual int32_t gr::dab::mp2_decode_bs::get_sample_rate | ( |  | ) |

pure virtual

Implemented in gr::dab::mp2_decode_bs_impl.

## make()

sptr gr::dab::mp2_decode_bs::make | ( | int | bit_rate_n | ) |

static

Return a shared_ptr to a new instance of dab::mp2_decode_bs.

To avoid accidental use of raw pointers, dab::mp2_decode_bs's constructor is in a private implementation class. dab::mp2_decode_bs::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- mp2_decode_bs.h